### Method

# FwupdPlugin Device get_logical_id

since: 1.1.2

#### Declaration [src]

    const gchar*
    fu_device_get_logical_id (
      FuDevice* self
    )

#### Description [src]

Gets the logical ID set for the device, which disambiguates devices with the same physical ID.

Available since: 1.1.2

Gets property | `FwupdPlugin.Device:logical-id`

#### Return value

Type: `const gchar*`

A string value, or `NULL` if never set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.